## org.apache.batik.dom
Class AbstractChildNode

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode

All Implemented Interfaces:
  org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

Direct Known Subclasses:
  AbstractCharacterData, AbstractProcessingInstruction

public abstract class AbstractChildNode
extends AbstractNode

This class implements the `Node` interface with support for parent and siblings.

See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Node` `nextSibling` Returns the next sibling.
`protected org.w3c.dom.Node` `parentNode` The parent node of this node.
`protected org.w3c.dom.Node` `previousSibling` The previous sibling.

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractChildNode()`

Method Summary
`org.w3c.dom.Node` `getNextSibling()` DOM: Implements `Node.getNextSibling()`.
`org.w3c.dom.Node` `getParentNode()` DOM: Implements `Node.getParentNode()`.
`org.w3c.dom.Node` `getPreviousSibling()` DOM: Implements `Node.getPreviousSibling()`.
`void` `setNextSibling(org.w3c.dom.Node v)` Sets the node immediately following this node.
`void` `setParentNode(org.w3c.dom.Node v)` Sets the parent node.
`void` `setPreviousSibling(org.w3c.dom.Node v)` Sets the node immediately preceding this node.

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, appendChild, checkChildType, cloneNode, copyInto, createDOMException, deepCopyInto, deepExport, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, getAttributes, getChildNodes, getCurrentDocument, getEventSupport, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNodeValue, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, newNode, normalize, removeChild, removeEventListener, replaceChild, setNodeName, setNodeValue, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Methods inherited from interface org.w3c.dom.Node
`getNodeName, getNodeType`

Field Detail

### parentNode

    protected org.w3c.dom.Node parentNode

  The parent node of this node.

### previousSibling

    protected org.w3c.dom.Node previousSibling

  The previous sibling.

### nextSibling

    protected org.w3c.dom.Node nextSibling

  Returns the next sibling.

Constructor Detail

### AbstractChildNode

    public AbstractChildNode()

Method Detail

### getParentNode

    public org.w3c.dom.Node getParentNode()

  DOM: Implements `Node.getParentNode()`.

  Specified by:
    `getParentNode` in interface `org.w3c.dom.Node`
  Overrides:
    `getParentNode` in class `AbstractNode`
  Returns:
    `parentNode`

### setParentNode

    public void setParentNode(org.w3c.dom.Node v)

  Sets the parent node.

  Specified by:
    `setParentNode` in interface `ExtendedNode`
  Overrides:
    `setParentNode` in class `AbstractNode`

### setPreviousSibling

    public void setPreviousSibling(org.w3c.dom.Node v)

  Sets the node immediately preceding this node.

  Specified by:
    `setPreviousSibling` in interface `ExtendedNode`
  Overrides:
    `setPreviousSibling` in class `AbstractNode`

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  DOM: Implements `Node.getPreviousSibling()`.

  Specified by:
    `getPreviousSibling` in interface `org.w3c.dom.Node`
  Overrides:
    `getPreviousSibling` in class `AbstractNode`
  Returns:
    `previousSibling`.

### setNextSibling

    public void setNextSibling(org.w3c.dom.Node v)

  Sets the node immediately following this node.

  Specified by:
    `setNextSibling` in interface `ExtendedNode`
  Overrides:
    `setNextSibling` in class `AbstractNode`

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  DOM: Implements `Node.getNextSibling()`.

  Specified by:
    `getNextSibling` in interface `org.w3c.dom.Node`
  Overrides:
    `getNextSibling` in class `AbstractNode`
  Returns:
    `nextSibling`.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.